:root{
    --color-primary: #4651C2;
    --color-text: #333;
    --color-text--btn: #ffff;

}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	height: 100vh; 
	display: flex;
	justify-content: center; 
	align-items: center;    
	direction: rtl;
	background-color: #eff4fb;
}

.login{
    width: 540px;
    height:540px ;
    border: 1px solid #DADADA;
    display: flex;
    flex-direction: column;
    border-radius: 5px;
	background-color: #fff;
	
}

.login__header{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
    margin-top: 16px;

}

.login__logo{
    max-width: 60px;
    max-height: 60px;
}

.login__title{
    font-size: 20px;
    color: var(--color-primary);
    font-weight: bold;
}

.login__form{
    display: flex;
    flex-direction: column;
    margin: auto;
    gap:8px;
}

.login__field{
	display: flex;
	flex-direction: column;
	gap: 8px;
	justify-content: center;
}

.login__input{
    height: 52px;
    width:400px ;
    border-radius: 5px;
    border: 1px solid var(--color-primary);
    outline: none;
    padding: 12px;
    margin: auto;
}

.login__label{
    margin-top: 16px;
    padding-bottom: 8px;
    color: var(--color-text);
}

.login__btn{
    height: 52px;
    width:400px ;
    margin-top: 60px;
    margin-bottom: 32px;
    border-radius: 5px;
    border: none;
    background: linear-gradient(to left,#21265C, #4651C2);
    color: var(--color-text--btn);
    font-size: 20px;
    font-weight: bold;
    transition: background .3s ease;
    cursor: pointer;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -ms-transition: all .3s ease;
    -o-transition: all .3s ease;
    will-change: background;
}

.login__btn:hover{
	background: linear-gradient(to right,#21265C, #4651C2);
}

 .error {
    color: red;
    font-size: 14px;
    display: block;
}

.input__error {
	border: 2px solid red !important;
	outline: none;
}


@media (max-width: 600px) {
  .login {
    width: 90%;        
    height: auto;      
    padding: 8px;
	background-color: #fff;
  }

  .login__input,
  .login__btn {
    width: 100%;       
    height: 44px;      
    font-size: 16px;
  }
   .login__field{
       width: 100%;
   }
  .login__header{
    margin-top: 8px;
  }

  .login__title {
    font-size: 18px;   
    text-align: center;
  }

  .login__logo {
    max-width: 50px;
    max-height: 50px;
  }
  
  .login__form{
    gap:0;
    margin:16px;
  }
  .login__label{
    font-size: 14px;
    padding-bottom: 4px;
  }

}